Show / Hide Table of Contents

# Class SqlToolsSettings

Class for serialization and deserialization of the settings the SQL Tools Service needs.

##### Inheritance

System.Object
SqlToolsSettings

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.SqlContext

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class SqlToolsSettings

### Properties

| Improve this Doc View Source

#### IsDiagnositicsEnabled

Gets a flag determining if diagnostics are enabled

##### Declaration

    public bool IsDiagnositicsEnabled { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsIntelliSenseEnabled

Gets a flag determining if IntelliSense is enabled

##### Declaration

    public bool IsIntelliSenseEnabled { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsQuickInfoEnabled

Gets a flag determining if quick info is enabled

##### Declaration

    public bool IsQuickInfoEnabled { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsSuggestionsEnabled

Gets a flag determining if suggestions are enabled

##### Declaration

    public bool IsSuggestionsEnabled { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### QueryExecutionSettings

Query excution settings forwarding property

##### Declaration

    public QueryExecutionSettings QueryExecutionSettings { get; }

##### Property Value

Type | Description
--- | ---
QueryExecutionSettings |

| Improve this Doc View Source

#### SqlTools

Gets or sets the underlying settings value object

##### Declaration

    [JsonProperty("mssql")]
    public SqlToolsSettingsValues SqlTools { get; set; }

##### Property Value

Type | Description
--- | ---
SqlToolsSettingsValues |

### Methods

| Improve this Doc View Source

#### Update(SqlToolsSettings)

Updates the extension settings

##### Declaration

    public void Update(SqlToolsSettings settings)

##### Parameters

Type | Name | Description
--- | --- | ---
SqlToolsSettings | settings |